<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhjg.mapper.ZhjgDckhRwFfMapper">

  <resultMap id="zhjgDckhRwFfMap" type="com.elephant.framework.galaxy.aroad.module.zhjg.entity.ZhjgDckhRwFf">
        <id property="id" column="id"/>
        <result property="rwid" column="rwid"/>
        <result property="rwmc" column="rwmc"/>
        <result property="dwmc" column="dwmc"/>
        <result property="dwdm" column="dwdm"/>
        <result property="zt" column="zt"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="updatePerson" column="update_person"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remarks" column="remarks"/>
  </resultMap>

      <select id="selectListByRwid" resultMap="zhjgDckhRwFfMap">
            select dr.*
            from t_zhjg_dckh_rw_ff dr
            <where>
                  <if test="rwid!=null">
                        dr.rwid =#{rwid}
                  </if>
            </where>

      </select>
</mapper>
